using FluentValidation;

namespace Indotalent.Features.Purchase.DebitNote.Cqrs;

public class UpdateDebitNoteValidator : AbstractValidator<UpdateDebitNoteRequest>
{
    public UpdateDebitNoteValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.PurchaseReturnId).NotEmpty().WithMessage("Purchase Return reference is required");
    }
}